NodeLabelPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.impl.pb, class: NodeLabelPBImpl

Package org.apache.hadoop.yarn.api.records.impl.pb

# Class NodeLabelPBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.NodeLabel
org.apache.hadoop.yarn.api.records.impl.pb.NodeLabelPBImpl

All Implemented Interfaces:
  `Comparable<org.apache.hadoop.yarn.api.records.NodeLabel>`

public class NodeLabelPBImpl extends org.apache.hadoop.yarn.api.records.NodeLabel

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.api.records.NodeLabel

  `DEFAULT_NODE_LABEL_EXCLUSIVITY, DEFAULT_NODE_LABEL_PARTITION, NODE_LABEL_EXPRESSION_NOT_SET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeLabelPBImpl()`
  `NodeLabelPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeLabelProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `String`
  `getName()`
  `org.apache.hadoop.yarn.proto.YarnProtos.NodeLabelProto`
  `getProto()`
  `int`
  `hashCode()`
  `boolean`
  `isExclusive()`
  `void`
  `setExclusivity(boolean isExclusive)`
  `void`
  `setName(String name)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.NodeLabel

  `compareTo, newInstance, newInstance, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodeLabelPBImpl

    public NodeLabelPBImpl()

  - ### NodeLabelPBImpl

    public NodeLabelPBImpl(org.apache.hadoop.yarn.proto.YarnProtos.NodeLabelProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnProtos.NodeLabelProto getProto()

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `org.apache.hadoop.yarn.api.records.NodeLabel`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.apache.hadoop.yarn.api.records.NodeLabel`

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `org.apache.hadoop.yarn.api.records.NodeLabel`

  - ### setName

    public void setName(String name)
    Specified by:
      `setName` in class `org.apache.hadoop.yarn.api.records.NodeLabel`

  - ### isExclusive

    public boolean isExclusive()
    Specified by:
      `isExclusive` in class `org.apache.hadoop.yarn.api.records.NodeLabel`

  - ### setExclusivity

    public void setExclusivity(boolean isExclusive)
    Specified by:
      `setExclusivity` in class `org.apache.hadoop.yarn.api.records.NodeLabel`